Get Tool Logs
curl --request GET \
--url https://tool.modellix.ai/v1/logs \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://tool.modellix.ai/v1/logs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://tool.modellix.ai/v1/logs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://tool.modellix.ai/v1/logs"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://tool.modellix.ai/v1/logs")
.header("Authorization", "Bearer <token>")
.asString();const url = 'https://tool.modellix.ai/v1/logs';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));
import Foundation
let url = URL(string: "https://tool.modellix.ai/v1/logs")!
var request = URLRequest(url: url)
request.httpMethod = "GET"
request.timeoutInterval = 10
request.allHTTPHeaderFields = ["Authorization": "Bearer <token>"]
let (data, _) = try await URLSession.shared.data(for: request)
print(String(decoding: data, as: UTF8.self))$headers=@{}
$headers.Add("Authorization", "Bearer <token>")
$response = Invoke-WebRequest -Uri 'https://tool.modellix.ai/v1/logs' -Method GET -Headers $headers{
"requests": [
{
"request_id": "faf85450-2ac2-4ef6-9a2d-05a1a395addb",
"tool_slug": "modellix-ai/web-search",
"source": "rest",
"status": "success",
"error": "",
"http_status": 200,
"error_code": "",
"input": {
"query": "OpenAI official website",
"depth": "standard",
"max_results": 1,
"include_answer": false
},
"result": {
"query": "OpenAI official website",
"depth": "standard",
"answer": null,
"results": [
{
"title": "OpenAI",
"url": "https://openai.com/"
}
],
"warnings": [],
"billing": {
"sku": "web-search.standard",
"amount_usd": 0.015
},
"request_id": "faf85450-2ac2-4ef6-9a2d-05a1a395addb"
},
"warnings": [],
"created_at": 1786962078,
"duration": 3586,
"parent_request_id": "",
"tool_call_id": "",
"cost": 150,
"sku": "web-search.standard",
"pricing_version": "v1",
"quantity": 1,
"unit_amount_subpenny": 150,
"currency": "USD",
"answer_status": "not_requested",
"has_answer": false,
"request_count": 1,
"success_count": 1,
"result_count": 1,
"failed_count": 0
},
{
"request_id": "8aa99b97-db83-46c6-bf2b-8f9648d32838",
"tool_slug": "modellix-ai/web-fetch",
"source": "rest",
"status": "rejected",
"error": "Invalid request.",
"http_status": 400,
"error_code": "invalid_request",
"input": {
"urls": [
"http://127.0.0.1/"
]
},
"result": {},
"warnings": [],
"created_at": 1786962087,
"duration": 0,
"parent_request_id": "",
"tool_call_id": "",
"cost": 0,
"sku": "web-fetch",
"pricing_version": "",
"quantity": 0,
"unit_amount_subpenny": 0,
"currency": "USD",
"answer_status": "not_requested",
"has_answer": false,
"request_count": 1,
"success_count": 0,
"result_count": 0,
"failed_count": 0
}
],
"total": 2,
"page": 1,
"page_size": 10
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}Get Tool Logs
Lists Web Search and Web Fetch request logs for the authenticated team within a time window. Optional tool filters by web-search or web-fetch. Uses the query rate limit (separate from tool call RPM).
GET
/
v1
/
logs
Get Tool Logs
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Optional tool filter. Omit this parameter to return logs for all tools.
Available options:
web-search, web-fetch Inclusive range start as a positive UNIX timestamp in seconds.
Required range:
x >= 1Inclusive range end as a positive UNIX timestamp in seconds. It must be after start_time, at most 30 days later, and no more than one day in the future.
Required range:
x >= 1Optional exact end-user identifier filter.
Required string length:
8 - 128Pattern:
^[A-Za-z0-9_-]+$Required range:
x >= 1Required range:
1 <= x <= 100